=== modified file 'codeigniter/application/controllers/codeviewer.php'
--- codeigniter/application/controllers/codeviewer.php	2013-05-28 12:47:12 +0000
+++ codeigniter/application/controllers/codeviewer.php	2013-05-28 13:34:01 +0000
@@ -21,23 +21,35 @@
 	*/
 	public function show($cid = null, $category = null, $subcategory = null, $example = null){
 		if(!is_null($cid) && !is_null($category) && !is_null($subcategory) && !is_null($example)){
-			$headTagData['cssFiles'] = array('headTag', 'header', 'codeviewer');
-			$headTagData['jsFiles'] = array('ace/ace', 'header');
-			$this->load->model('user');			
+			
+			$headTagData['cssFiles'] = array('headTag', 'bannermenu', 'codeviewer');
+			$headTagData['jsFiles'] = array('ace/ace', 'bannermenu');
+			
+			$this->load->model('codeviewer/Codeviewer_model');
+			$this->load->model('user', '', TRUE);
+			$this->load->model('admin/admin_model', '', TRUE);
+			
+			$editorHTML = $this->Codeviewer_model->getCode($cid, $category, $subcategory, $example);
+			
+			$activeCourse = $this->user->getActiveCourse();
 			$userInfo = array(
 				'userType' => $this->user->getUserType(),
-				'userName' => $this->user->getUserName()
+				'userName' => $this->user->getUserName(),
+				'courses' => $this->admin_model->getCourses(),
+				'categories' => $this->admin_model->getCategories($activeCourse['courseID']),
+				'activeCourse' => $activeCourse
 			);
+			
+			$this->load->helper('form');
+			
+			/* $doc = $this->Codeviewer_model->getDoc($cid, $category, $subcategory, $example);
+			 * This loads the view. It's stored in application/views/codeviewer/codeviewer.php
+			 * Do note that application/views should not be in the first argument of view()
+			 * The second argument is data to be shown in the view. "editors" => "test" would
+			 * generate an $editors variable in the view containing "test"
+			 */
 			$this->load->view('headTag', array('headTagData' => $headTagData));
-			$this->load->view('header', $userInfo);
-			$this->load->model('codeviewer/Codeviewer_model');
-			$editorHTML = $this->Codeviewer_model->getCode($cid, $category, $subcategory, $example);
-			$this->load->helper('form');
-			// $doc = $this->Codeviewer_model->getDoc($cid, $category, $subcategory, $example);
-			// This loads the view. It's stored in application/views/codeviewer/codeviewer.php
-			// Do note that application/views should not be in the first argument of view()
-			// The second argument is data to be shown in the view. "editors" => "test" would
-			// generate an $editors variable in the view containing "test"
+			$this->load->view('bannermenu', $userInfo);
 			$this->load->view('codeviewer/codeviewer', array("editors" => $editorHTML));
 		} else {
 			/*Redirects to the startpage if no arguments are supplied.*/

